# this is a configuration file for the BridgeServer

set configuration {
###################
# image file formats: BMP, GIF, JPEG, PNG, TIFF, and EMF

	set path images
	set image none
	set useimagesize 0
	set bgcolor 0xffffffff
	set bordercolor 0xff000000
	set borderwidth 1.0
	set textcolor 0xffff3333
	set fontname verdana
	set fontsize 8
	set transparentcolorhi 0xff0000ff
	set transparentcolorlo 0xff0000fd
	set opacity 100
	set port 6969
	set timeout 2
	
#############################################################################
# Direct logging to a file
set logfile ../../log.txt
set logging 1	
	
	@sql {
		set server seldon
		set table testBridge4
		set user blah
		set password blah
		set CommandTimeout 3
		set ConnectionTimeout 15
	}
	
	@about {
		# the about window
		set x 500
		set y 400
		set image about.bmp
		set useimagesize 1
		@close {
			set x 3
			set y 3
			set image close_normal.bmp
			@pressed {
				set image close_pressed.bmp
			}
		}
	}
	
	set defaultbutton1 {
		set width 15
		set height 15
		set bgcolor 0xffeeeeee
		@pressed {
			set bgcolor 0xff00ff00
		}
	}
	
	set defaultscrollbar {		
		set x 50
		set y 50
		set width 10
		set bgcolor 0xffdddddd
		@pressed {
			set bgcolor 0xffffdd66
		}
		@lineup {
			eval $defaultbutton1
		}
		@linedown {
			eval $defaultbutton1
		}
		@cursor {
			set bgcolor 0xffffffff
			set borderwidth 1.0
		}
	}	
		

	@taskbar {
		set image taskbar.ico
		set tip BridgeClient
	}

	@buttons {
		@resize {
			set width 5
			set height 5
			set image none
			set bgcolor 0xfdddd8a9					
			@pressed {
				set bgcolor 0xffff8a9
			}
		}
		
		@minimize {
			set width 10
			set height 10
			set image minimize_normal.bmp
			@normal {
				set image minimize_normal.bmp	
			} 
			@pressed {
				set image minimize_pressed.bmp
			}		
		}	
		
		@close {
			set width 10
			set height 10
			set image close_normal.bmp
			@normal {
				set image close_normal.bmp	
			} 
			@pressed {
				set image close_pressed.bmp
			}
		}	
	}
	
	@console {
		set title BridgeServer
		set image none
		set useimagesize 0
		set x 300
		set y 100
		set width 500
		set height 300
		set bgcolor 0xfffdd8a9
		set borderwidth 1
		set bordercolor 0xff000000
		@titlebar {
			set x 0
			set y 0
			set height 15
			set bgcolor 0xfff8a12e
			set textcolor 0xffffffff
		}
		@history {
			set bgcolor 0xffffffff
		}
		@scrollbar {
			eval $defaultscrollbar
		}
	}
	
###################
}

#### DO NOT CHANGE ANYTHING BELOW HERE
eval [string map { @ "namespace eval " set variable } $configuration]